> For the complete documentation index, see [llms.txt](https://docs.stackerhq.com/stacker-classic/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.stackerhq.com/stacker-classic/layout-types/detail-layout/detail-widgets/detail-embed-widget/embedding-vimeo.md).

# Embedding Vimeo

As well as being able to embed [Youtube](/stacker-classic/layout-types/detail-layout/detail-widgets/detail-embed-widget/embedding-youtube.md) and [Google Drive](/stacker-classic/layout-types/detail-layout/detail-widgets/detail-embed-widget/embedding-google-drive-videos.md) videos, you can also embed videos from Vimeo into your [detail layout.](/stacker-classic/layout-types/detail-layout.md)

## Get embed URL from Vimeo

1. Click **Share** button on the video
2. Copy **Embed** text
3. Remove the \<iframe> info, leaving only the URL — for example, <https://player.vimeo.com/video/76979871>

![](https://files.gitbook.com/v0/b/gitbook-28427.appspot.com/o/assets%2F-M64K6enFhU-bLebnk5G%2F-MBnngo5LhiIR-M0EhIP%2F-MBnqnHeuYOPI4jgxf7l%2FScreen%20Shot%202020-07-09%20at%202.44.43%20pm.png?alt=media\&token=c574afac-c726-4ff4-a5a9-2a5baa488369)

### How to use embed URL

Once you have copied the embed URL, there are two ways you can use this in your layout, either by adding this into a field on your data source or pasting this directly into the embed widget.

1. Click in [detail layout](/stacker-classic/layout-types/detail-layout.md)
2. Click **Edit Layout**
3. Drag embed widget into the layout
4. Select [from field](/stacker-classic/layout-types/detail-layout/detail-widgets/detail-embed-widget/embedding-content-on-a-detail-page.md#h_01ga3zt5fmfb0m4dret7jeae4m) (if the embed URL has been added to the base)
5. Select [from URL](/stacker-classic/layout-types/detail-layout/detail-widgets/detail-embed-widget/embedding-content-on-a-detail-page.md#h_01ga3ztf8dh1g6xbg9a89zpe6k) (if you want to paste the URL directly into Stacker)
6. Choose a title
7. Choose the height of the embed

![vimeo\_embed.gif](https://support.stackerhq.com/hc/article_attachments/8574148184339/vimeo_embed.gif)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.stackerhq.com/stacker-classic/layout-types/detail-layout/detail-widgets/detail-embed-widget/embedding-vimeo.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
